%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:	Password manager for GNOME 2
Name: 		revelation
Version: 	0.4.3
Epoch: 		0
Release: 	1
License: 	GPL
Group: 		Applications/Productivity
Source: 	ftp://oss.codepoet.no/revelation/revelation-0.4.3.tar.bz2
URL: 		http://oss.codepoet.no/revelation/
Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:	python-crypto >= 0:2.0
Requires:	pygtk2 >= 0:2.4
Requires:	gnome-python2-gconf >= 0:2.0
Requires:	gnome-python2-gnomevfs >= 0:2.6
Requires:	words 
BuildRequires:  python >= 0:2.2
BuildRequires:  python-devel >= 0:2.3
BuildRequires:  pygtk2-devel >= 0:2.4
BuildRequires:	gnome-python2-gconf >= 0:2.0
BuildRequires:	libgnomeui-devel >= 0:2.8
BuildRequires:	gnome-keyring-devel >= 0:0.4.0
BuildRequires:	desktop-file-utils 
BuildRequires:	python-crypto >= 0:2.0
BuildRequires:	cracklib
BuildRequires:	words 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot-%(%{__id_u} -n)
Requires(post):	 GConf2 shared-mime-info desktop-file-utils
Requires(preun): GConf2
Requires(postun):shared-mime-info desktop-file-utils

%description
Revelation is a password manager. It organizes accounts in
a tree structure, and stores them as AES-encrypted XML files.

%prep
%setup -q

%build
%configure --disable-desktop-update --disable-mime-update --with-cracklib-dict=/usr/share/dict/
make %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

 
%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :

%postun
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/revelation/
%{_datadir}/icons/hicolor/??x??/mimetypes/gnome-mime-application-x-revelation.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/filesystems/%{name}*
# the next two entries should be python_sitearch, but the packages currently does it
# wrong on install and during execution. So leave them in {python_sitelib} for now
#dir %{python_sitearch}/revelation/
%{python_sitelib}/revelation/authmanager.so
%{python_sitelib}/revelation/crack.so
%dir %{python_sitelib}/revelation/
%dir %{python_sitelib}/revelation/datahandler/
%{_datadir}/mime/packages/*
%{python_sitelib}/revelation/*.py
%{python_sitelib}/revelation/*.pyc
%ghost %{python_sitelib}/revelation/*.pyo
%{python_sitelib}/revelation/datahandler/*.py
%{python_sitelib}/revelation/datahandler/*.pyc
%ghost %{python_sitelib}/revelation/datahandler/*.pyo

%changelog
* Sat Apr 02 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.3-1
- Update to 0.4.3
- BR words, cracklib, Req words
- Use configure para -with-cracklib-dict=/usr/share/dict/

* Wed Mar 30 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.2-1
- Update to 0.4.2

* Tue Mar 01 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.0-1
- Update to 0.4.0 - depends on gtk 2.4 now
- Uses configure now
- add BR pygtk2-devel gnome-keyring-devel
- use shared-mime-info and desktop-file-utils
- Remove unneeded explicit Requires 
- not a noarch package anymore
- on x86_64 it currently installs and needs authmanager.so in %%{python_sitelib}
  will report upstream

* Wed Sep 29 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.4-0.fdr.1
- Update to 0.3.4

* Tue Aug 31 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.3-0.fdr.1
- Update to 0.3.3

* Thu Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.2-0.fdr.2
- Own python_sitelib/revelation/

* Wed Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.2-0.fdr.1
- Update to 0.3.2
- convert package to noarch
- convert parts to match python spec-file template

* Sat Jul 17 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.0-0.fdr.1
- New Spec File based on Matthew Hall and Dags SPEC Files -- Thanks to them
- Fix Gconf handling
